
<ui:composition template="../template/template.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:p="http://primefaces.org/ui"
    xmlns:ui="http://java.sun.com/jsf/facelets">

    <ui:define name="title">
        .:Transparencia - Bandeja Jefe OAJ:.
    </ui:define>

    <ui:define name="headCont">
		<style>
			.box-table-class .ui-datatable-scrollable-body thead th{
				opacity:0;
				padding: 0;
			}
			
			.obs-pe {
				background: #d6effe;
				color: #68544F;   
			}
			
			.obs-pe-vencida {
				background: #d6effe;
				color: red;
			}
			
			.obs-pe-por-vencer {
				background: #d6effe;
				color: green;
			}
			
			.sin-obs-pe-vencida {
				color: red;
			}
			
			.sin-obs-pe-por-vencer {
				color: green;
			}
			
			
			.ui-state-disabled{
				opacity:1;
			}
			
			.ui-fieldset-general {
	
			}
			
			.without-selectall .ui-selectcheckboxmenu-header .ui-chkbox {
				display: none;
			}
			/* Select CheckBoxMenú */
			.ui-selectcheckboxmenu-item:hover{
			  background-color: #850100 !important;
			  background-image: linear-gradient(to bottom, #BA0400, #840100) !important;
			  color: #FFF
			}
			
			.ui-selectcheckboxmenu-item{
			  font-size: 13.2px;
			  font-weight: 300;
			}
			
			.ui-selectcheckboxmenu .ui-selectcheckboxmenu-trigger {
			    width: auto !important;
			    border-left: 1px solid #a8a8a8 !important;
			    border-radius: 0px 0px 0px 0px !important;
			    background: #F9F9F9 !important;
			    box-shadow: 0px 0px #FFF;
			}
		
		</style>
    </ui:define>
        
    <ui:define name="titlePages">
        <span>BANDEJA JEFE REIP</span>
    </ui:define>
    <ui:define name="urlNavegacion">
      <li class="active">Bandeja SAIP</li>
      <li >Band. Jefe REIP</li>
    </ui:define>
    <!-- administrador por SERVIR -->
    <ui:define name="content">
        #{bandejaJefeOAJMB.validarSesion()}
        #{bandejaJefeOAJMB.cargarListaConsultas()}
        #{bandejaJefeOAJMB.cargarplantillas()}
        #{bandejaJefeOAJMB.llenarCombos()}
        
	    <div class="row">
	    
	    	<h:form id="frmBandejaSolicitud">
                
                <p:growl id="mensaje" showDetail="true" sticky="false" life="5000" />
                <div class="col-md-12 sin-bg-box">
                
                	<p:fieldset styleClass="ui-fieldset-general">
                    	
                	<div class="row box-mb"> 
                            <div class="col-sm-12">
                                <label class="control-label"><b>Buscar Solicitudes:</b></label>
                            </div>                       
                    </div>
                    
                	<p:fieldset>
                        <div class="row box-mb">
                        	<div class="col-sm-3">
	                        	<div class="form-group">
				                    	<h:outputLabel for="txtNumDocumento" value="N&#186; Documento: " styleClass="control-label"/>                                        
	                                    <p:inputText  id="txtNumDocumento"
	                                    			value="#{bandejaJefeOAJMB.reporteBandeja.numero_documento_identidad}"
	                                                maxlength="8"
	                                                mask="99999999"
	                                                style="text-transform:uppercase"
	                                                onkeypress="return onlyNumber(event)" 
	                                                required="false" styleClass="form-control"
	                                                tabindex="1"/>
				            	</div>
	                    	</div>
	                        <div class="col-sm-3">
								<div class="form-group">
									<h:outputLabel for="cboAnio" value="Año Solicitud: "
										styleClass="control-label" />
									<p:selectOneMenu id="cboAnio"
										value="#{bandejaJefeOAJMB.reporteBandeja.anio_solicitud}"
										styleClass="form-control style-select">
										<f:selectItem itemValue="0" itemLabel="--- Seleccione ---" />
										<f:selectItem itemValue="2018" itemLabel="2018" />
										<f:selectItem itemValue="2017" itemLabel="2017" />
										<f:selectItem itemValue="2016" itemLabel="2016" />
									</p:selectOneMenu>
								</div>
							</div>
							<div class="col-sm-4">
								<div class="form-group">
									<h:outputLabel for="cboEstSol" value="Estado: "
											styleClass="control-label" />
									<p:selectOneMenu id="cboEstSol"
											value="#{bandejaJefeOAJMB.reporteBandeja.estado_solicitud_id}"
											styleClass="form-control style-select">
											<f:selectItem itemValue="0" itemLabel="--- Seleccione ---" />
											<f:selectItem itemValue="3" itemLabel="3: Proyectado Derivación a Jefe REIP" />
											<f:selectItem itemValue="2" itemLabel="2: Proyectado Respuesta Obs. a Jefe REIP" />
											<f:selectItem itemValue="16" itemLabel="16: Proyectado Respuesta Neg. a Jefe REIP" />
											<f:selectItem itemValue="9" itemLabel="9: Proyectado Respuesta Final a Jefe REIP" />
											<f:selectItem itemValue="4" itemLabel="4: Notificado al Administrado para Subsanación" />
											<f:selectItem itemValue="10" itemLabel="10: Respuesta Final Enviada al Administrado" />
											<f:selectItem itemValue="18" itemLabel="18: Respuesta Negación Enviada al Administrado" />
											<f:selectItem itemValue="25" itemLabel="25: Historial Enviados RE-DERIVAR" />
									</p:selectOneMenu>
								</div>
							</div>
                        </div>
                       	<div class="row box-mb">
	                    	<div class="col-sm-3">
	                        	<div class="form-group">
				                    	<h:outputLabel for="txtApPaterno" value="Apellido Paterno: " styleClass="control-label"/>                                        
	                                    <p:inputText  id="txtApPaterno"
	                                    			value="#{bandejaJefeOAJMB.reporteBandeja.apellido_paterno}"
	                                                maxlength="60"
	                                                style="text-transform:uppercase"
	                                                onkeypress="return soloLetras(event)"
	                                                required="false" styleClass="form-control"
	                                                tabindex="1"/>
				                </div>
	                        </div>
	                            <div class="col-sm-3">
	                                <div class="form-group">
				                    	<h:outputLabel for="txtApMaterno" value="Apellido Materno: " styleClass="control-label"/>                                        
	                                    <p:inputText  id="txtApMaterno"
	                                    			value="#{bandejaJefeOAJMB.reporteBandeja.apellido_materno}"
	                                                maxlength="60"
	                                                style="text-transform:uppercase"
	                                                onkeypress="return soloLetras(event)"
	                                                required="false" styleClass="form-control"
	                                                tabindex="1"/>
				                     </div>
	                            </div>
	                            <div class="col-sm-4">
	                                <div class="form-group">
				                    	<h:outputLabel for="txtNombres" value="Nombres: " styleClass="control-label"/>                                        
	                                    <p:inputText  id="txtNombres"
	                                    			value="#{bandejaJefeOAJMB.reporteBandeja.nombres}"
	                                                maxlength="70"
	                                                style="text-transform:uppercase"
	                                                onkeypress="return soloLetras(event)"
	                                                required="false" styleClass="form-control"
	                                                tabindex="1"/>
				                     </div>
	                            </div>      
	                    </div>
                        <br/>
                        <div class="row box-mb"> 
                        	<div class="col-sm-12 box-btn-tab text-right box-main-btn xx_box-btn">
			               			
			               			<p:commandButton 	id="idBuscar"
                                    					value="Buscar" 
                                    					icon="icon-search ocultarImgIcon"
                                                        styleClass="btn btn-default btn-sensitive btn-buscar"
                                                        onclick="PF('statusDialog').show()"
                                                        oncomplete="PF('statusDialog').hide()" 
                                    					actionListener="#{bandejaJefeOAJMB.buscarConsulta2}"
                                    					update="frmBandejaSolicitud"
                                    					ajax="true"
                                    					/>
                                    					
                                   <p:commandButton	id="idLimpiar"
                                                	styleClass="btn btn-default btn-sensitive btn-buscar"   
					                                value="Limpiar"
					                                actionListener="#{bandejaJefeOAJMB.limpiarBusqueda2}"
					                                icon="icon-limpiar"		                                                
                                               		update="frmBandejaSolicitud"
                                               		ajax="true"
                                               		/> 
			               </div>
                        </div>
                    </p:fieldset> 
<!-- *************************************************************************************************************************** -->
                    <div class="row box-mb" style="margin-top:15px;"> 
                            <div class="col-sm-12">
                                <label class="control-label"><b>Solicitudes Encontradas:</b></label>
                            </div>                       
                    </div> 
                                        
                         <div class="row box-mb">
                            <div class="col-sm-12 box-table-class">
                              <div class="form-group">
<!--******************************* Tabla con registros del combo seleccion: REGISTROS VIRTUALES ****************************************************-->
                                    <p:dataTable  id="tblConsultas2" 
                                                var="registro" 
                                                value="#{bandejaJefeOAJMB.lstReporteBandeja}" 
                                                rowKey="#{registro.id}" 
                                                paginator="true"
                                                scrollable="true"
                                                rowIndexVar="item"
                                                paginatorPosition="top"
                                                rows="10"
                                                style="text-align:center;"
                                                emptyMessage="No existen registros">
                                                
												<p:column headerText="Correlativo" style="width:30px;text-aling:center;"
													sortBy="#{registro.correlativo_solicitud}">
                                                    <h:outputText value="#{registro.correlativo_solicitud}" />
                                                </p:column>

                                                <p:column headerText="Año" style="width:20px;"
													sortBy="#{registro.anio_solicitud}">
                                                    <h:outputText value="#{registro.anio_solicitud}" />
                                                </p:column>
                                                
                                                <p:column headerText="Vsn" style="width:20px;"
													sortBy="#{registro.version_solicitud}">
                                                    <h:outputText value="#{registro.version_solicitud}" />
                                                </p:column>
                                                
                                                <p:column headerText="N&#186; Documento" style="width:35px;"
													sortBy="#{registro.numero_documento_identidad}">
                                                    <h:outputText value="#{registro.numero_documento_identidad}" />
                                                </p:column>
                                                
                                                <p:column headerText="Ap. Parteno" style="width:40px;"
													sortBy="#{registro.apellido_paterno}">
                                                    <h:outputText value="#{registro.apellido_paterno}" />
                                                </p:column>
                                                
                                                <p:column headerText="Ap. Marteno" style="width:40px;"
													sortBy="#{registro.apellido_materno}">
                                                    <h:outputText value="#{registro.apellido_materno}" />
                                                </p:column>
                                                
                                                <p:column headerText="Nombres" style="width:35px;"
													sortBy="#{registro.nombres}">
                                                    <h:outputText value="#{registro.nombres}" />
                                                </p:column>
                                                
                                                <p:column headerText="Detalle" style="width:70px;"
													sortBy="#{registro.detalle_solicitud}">
                                                    <h:outputText value="#{registro.detalle_solicitud}" />
                                                </p:column>
                                                
                                                <p:column headerText="Usuario Responsable" style="width:60px;"
													sortBy="#{registro.dependencia_nformacion_det}">
                                                    <h:outputText value="#{registro.usuario_nombre_responsable}" />
                                                </p:column>
                                                
                                                <p:column headerText="Autoriza Recojo" style="width:35px;"
													sortBy="#{registro.flag_autoriza_recojo}">
                                                    <h:outputText value="#{registro.flag_autoriza_recojo}" />
                                                </p:column>
                                                
                                                <p:column headerText="Estado Solicitud" style="width:40px;"
													sortBy="#{registro.estado_solicitud_detall}">
                                                    <h:outputText value="#{registro.estado_solicitud_detall}" />
                                                </p:column>
                                                
                                                <p:column headerText="Situación Solicitud" style="width:40px;"
													sortBy="#{registro.situacion_solicitud_detall}">
                                                    <h:outputText value="#{registro.situacion_solicitud_detall}" />
                                                </p:column>
                                                
                                                <p:column headerText="Acción" style="width:30px;text-align:center;">
                                                <!-- 
													<p:commandButton    title="Ver Detalle"
																		action="#{bandejaJefeOAJMB.verDetallexrpt(registro)}"
																		ajax="false" icon="ui-icon ui-icon-folder-open"
																		styleClass="colorSuccess" />
                                                     -->
                                                    <!-- rendered="#{bandejaJefeOAJMB.mostrarBtnXSituSoli(registro)}" -->
                                                    <p:commandButton    action="#{bandejaJefeOAJMB.seleccionarRegistro(registro)}"
                                                    					onclick="PF('statusDialog').show()"
																		oncomplete="PF('statusDialog').hide()"
                                                                        title="Seleccionar registro"
                                                                        ajax="true"
                                                                        icon="ui-icon ui-icon-circle-plus"
                                                                        styleClass="colorSuccess"
                                                                        update=":frmBandejaSolicitud,:frmBandejaSolicitud:scbUnidOrgDerivar"/>
                                                    <!-- rendered="#{!bandejaJefeOAJMB.mostrarBtnXSituSoli(registro)}" -->
                                                    <!-- REENVIO DIRECTO
                                                    <p:commandButton    action="#{bandejaJefeOAJMB.reenviarCorreo(registro)}"
                                                    					
                                                                        title="Reenviar Correo"
                                                                        ajax="true"
                                                                        icon="ui-icon ui-icon-mail-closed"
                                                                        styleClass="colorSuccess"
                                                                        update=":frmBandejaSolicitud,:frmBandejaSolicitud:scbUnidOrgDerivar"/>
                                                     -->
                                                </p:column>

                                    </p:dataTable>
                              </div>   
                            </div>
                         </div> 
<!-- *************************************************************************************************************************** -->
                     	<p:accordionPanel id="acordeon" style="margin-top:15px;padding-left:0px;padding-right:0px;" 
                     		activeIndex="#{bandejaJefeOAJMB.mngAcordeon}">
                     		<!--  -->
                     		<p:tab title="Registro de Solicitud #{bandejaJefeOAJMB.nroSolicitudSelect}">
                     
			                     <p:panel id="pnlRegSel" style="margin-top:-10px;margin-left:-30px;margin-right:-30px;border:none;"
									rendered="#{bandejaJefeOAJMB.vistaRegistroSelecc}" >
									<!-- 
			                        <div class="row box-mb"> 
			                            <div class="col-sm-12">
			                                <label class="control-label"><b>Registro de solicitudes:</b></label>
			                            </div>                       
			                        </div>   
			                         -->
			                        <p:fieldset>  
			                      	<!-- 
			                      	<div class="row box-mb">
			                      	
			                      		<div class="col-sm-12">
											<label class="control-label" style="margin-left: 2%"><b> I. FUNCIONARIO RESPONSABLE DE ENTREGAR LA INFORMACIÓN: </b></label>
										</div>
											
										<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
											<p:panel id="pnfuncionarioRespeponsable"
												 style="width: 100%;							 
												 border: 0px solid #EDEDED;
												 background: rgba(237, 237, 237, .9);">
												 <div class="row box-mb">
													<div class="col-sm-10">
														<div class="form-group">
															<h:outputLabel for="txtfuncionario"
																	value="Funcionario Responsable de Entregar la Información: "
																	styleClass="control-label" />
															<p:inputText
																	disabled="true"
																	value="#{bandejaJefeOAJMB.tmpFormularioBndRep.funcionario_resp_entrginfo}"
																	id="txtfuncionario" style="text-transform:uppercase;"
																	required="false" styleClass="form-control" tabindex="1" />
															
														</div>
													</div>
												</div>
											</p:panel>
										</p:fieldset>
									</div>
									 -->
			                		<div class="row box-mb">
			                      	
			                      		<div class="col-sm-12">
											<label class="control-label" style="margin-left: 2%"><b> II. DATOS DEL SOLICITANTE: </b></label>
										</div>
											
										<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
											<p:panel id="tipoDocumentoPanel"
												 style="width: 100%;							 
												 border: 0px solid #EDEDED;">
												 <div class="row box-mb">
													<div class="col-sm-4" >
									                	<div class="form-group">			                					                		
									                    	<h:outputLabel 	for="tipoDocumento" 
									                    					value="Tipo de Documento : " 
									                    					styleClass="control-label"/>                              
									                    	<p:selectOneMenu id="tipoDocumento"
									                    					 disabled="true"
									                    					 value="#{bandejaJefeOAJMB.tmpFormularioBndRep.tipo_documento_identidad_id}" 
									                    					 styleClass="form-control style-select" >
									                    		<f:selectItem  itemValue="0" itemLabel="--- Seleccione --- " />
										                        <f:selectItems value="#{bandejaJefeOAJMB.lstT01TipoDocumento}" 
										                        				var="item" 
										                        				itemValue="#{item.codigoRegistro}"  
										                        				itemLabel="#{item.nombreCorto}" />
									                        </p:selectOneMenu>
									                     </div>
									                </div>
									                
									                <div class="col-sm-4" >
									                	<div class="form-group">			                		
									                    	<h:outputLabel  value="Número de Documento : " 
									                    				    styleClass="control-label"/>
						                                    <p:inputText  value="#{bandejaJefeOAJMB.tmpFormularioBndRep.numero_documento_identidad}"
						                                    			  disabled="true"
						                                    			  id="numeroDocumentoDNI" 
						                                                  style="text-transform:uppercase;"                                               
						                                                  required="false" 
						                                                  styleClass="form-control"
						                                                  tabindex="1">
															</p:inputText>
									                     </div>
									               </div>
												</div>
												<div class="row box-mb">
													<div class="col-sm-4" >
										                <div class="form-group">
										                    	<h:outputLabel 	for="nombres" 
										                    					value="Nombres : " 
										                    					styleClass="control-label"></h:outputLabel>
										                    	<p:inputText  value="#{bandejaJefeOAJMB.tmpFormularioBndRep.nombres}" 
										                    				  disabled="true"
										                    				  id="nombres" 
										                    				  readonly="#{solicitudExternoMB.swtipoDocumentoPanel}"
							                                                  maxlength="30"                                                  
							                                                  required="false" 
							                                                  styleClass="form-control"
							                                                  tabindex="1"/>
										                </div>
										             </div>			               
										             <div class="col-sm-4" >
										                	<div class="form-group">
										                    	<h:outputLabel for="txtapellidopaterno" 
										                    				   value="Apellido Paterno : " 
										                    				   styleClass="control-label"/>
										                    	<p:inputText  value="#{bandejaJefeOAJMB.tmpFormularioBndRep.apellido_paterno}"
										                    				  disabled="true"
										                    				  id="txtapellidopaterno" 
										                    				  readonly="#{solicitudExternoMB.swtipoDocumentoPanel}"
							                                                  maxlength="50"                                                  
							                                                  required="false" styleClass="form-control"
							                                                  tabindex="1"/>
										                     </div>
										             </div>			               
											         <div class="col-sm-4" >
											                	<div class="form-group">
											                    	<h:outputLabel for="txtapellidomaterno" 
											                    				   value="Apellido Materno : " 
											                    				   styleClass="control-label"/>
											                    	<p:inputText  value="#{bandejaJefeOAJMB.tmpFormularioBndRep.apellido_materno}"
											                    				  disabled="true"
											                    				  id="txtapellidomaterno" 
											                    				  readonly="#{solicitudExternoMB.swtipoDocumentoPanel}"
								                                                  maxlength="50"                                                  
								                                                  required="false" 
								                                                  styleClass="form-control"
								                                                  tabindex="1"/>
											                     </div>
											           </div>
												</div>
												
												<div class="row box-mb">	 				
													<div class="col-sm-12">									
															<h:outputLabel 	for="txtdireccion" 
																			value="Domicilio Legal ( Av / Jirón / Nro / Dpto / Mz / Lote / Urb ) : "
																			styleClass="control-label">
															</h:outputLabel>
															<p:inputText
																		value="#{bandejaJefeOAJMB.tmpFormularioBndRep.direccion_domicilio}"
																		disabled="true"
																		id="txtdireccion"											
																		maxlength="60" 
																		required="false" 
																		style="text-transform: uppercase;"
																		styleClass="form-control"
																		tabindex="1" />									
													</div>									
												</div>
												
												<div class="row box-mb">	 				
													<div class="col-sm-4">
														<h:outputLabel for="cmbDepartamento" 
																			value="Departamento : "
																			styleClass="control-label" />
														<p:selectOneMenu 
																		disabled="true"
																		id="cmbDepartamento"
																		value="#{bandejaJefeOAJMB.tmpFormularioBndRep.coddep}"
																		styleClass="form-control style-select">
															<f:selectItem itemValue="0"  itemLabel="--- Seleccione --- " />
															<f:selectItems
																		value="#{bandejaJefeOAJMB.lstDepartamento}"
																		var="tabla" 
																		itemValue="#{tabla.coddep}"
																		itemLabel="#{tabla.descripcion}" />
														<p:ajax event="change" 
								                        		listener="#{bandejaJefeOAJMB.updateProvincia}"				                        		
								                        		update="cmbProvincia,
								                        				cmbDistrito"/>							 
														</p:selectOneMenu>
													</div>
													
													<div class="col-sm-4">
														<h:outputLabel  for="cmbProvincia"
																		value="Provincia: "
																		styleClass="control-label" />
														<p:selectOneMenu 
																		disabled="true"
																		id="cmbProvincia"
																		value="#{bandejaJefeOAJMB.tmpFormularioBndRep.codpro}"
																		styleClass="form-control style-select">
														<f:selectItem  itemValue="0" itemLabel="--- Seleccione ---"/>
														<f:selectItems
																		value="#{bandejaJefeOAJMB.lstProvincia}"
																		var="tabla" 
																		itemValue="#{tabla.codpro}"
																		itemLabel="#{tabla.descripcion}" />	
														<p:ajax event="change" 
								                        		listener="#{solicitudExternoMB.updateDistrito}"				                        		
								                        		update=  "cmbDistrito"/>
														</p:selectOneMenu>										
													</div>
													<div class="col-sm-4">
														<h:outputLabel for="cmbDistrito" 
																			value="Distrito: "
																			styleClass="control-label" />
														<p:selectOneMenu 
																		disabled="true"
																		id="cmbDistrito"
																		value="#{bandejaJefeOAJMB.tmpFormularioBndRep.coddis}"
																		styleClass="form-control style-select">
														<f:selectItem  itemValue="0" itemLabel="--- Seleccione ---"/>
														<f:selectItems
																		value="#{bandejaJefeOAJMB.lstDistrito}"
																		var="tabla" 
																		itemValue="#{tabla.coddis}"
																		itemLabel="#{tabla.descripcion}" />													 
														</p:selectOneMenu>
													</div>
												</div>
												
												<div class="row box-mb">	 				
													<div class="col-sm-4">
														<div class="form-group">
															<h:outputLabel 	for="txtTelefono" 
																			value="Telefono : "
																			styleClass="control-label"></h:outputLabel>
															<p:inputText
																		disabled="true"
																		value="#{bandejaJefeOAJMB.tmpFormularioBndRep.telefono}"
																		id="txtTelefono"											
																		onkeypress="return onlyNumber(event)"
						                                                maxlength="9"	                                                                                                       
						                                                required="false" 
						                                                styleClass="form-control"
						                                                tabindex="1"/>
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<h:outputLabel 	for="txtcelular" 
																			value="Celular : "
																			styleClass="control-label"></h:outputLabel>
															<p:inputText
																		 disabled="true"
																		 value="#{bandejaJefeOAJMB.tmpFormularioBndRep.celular}"
																		 id="txtcelular"													
																		 onkeypress="return onlyNumber(event)"
					                                                  	 maxlength="9"	                                                                                                       
					                                                     required="false" 
					                                                     styleClass="form-control"
					                                                     tabindex="1"/>
														</div>
													</div>
													<div class="col-sm-4">
														<div class="form-group">
															<h:outputLabel 	for="txtCorreo" 
																			value="Correo electrónico : "
																			styleClass="control-label"></h:outputLabel>
															<p:inputText
																		disabled="true"
																		value="#{bandejaJefeOAJMB.tmpFormularioBndRep.correo_electronico}"
																		id="txtCorreo"
																		style="text-transform: lowercase;"								
																		maxlength="30" 
																		required="false" 
																		styleClass="form-control"
																		tabindex="1" />
														</div>
													</div>
												</div>
											</p:panel>
										</p:fieldset>
									</div>
			                		
			                		<div class="row box-mb">
			                      	
			                      		<div class="col-sm-12">
											<label class="control-label" style="margin-left: 2%"><b> III. INFORMACIÓN SOLICITADA:  </b> (Precise concretamente el pedido de la información)</label>
										</div>
											
										<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
											<p:panel id="pninformacionsolicitada"
												 style="width: 100%;							 
												 border: 0px solid #EDEDED;
												 background: rgba(237, 237, 237, .9);">
												 <div class="row box-mb"> 				
													 <div class="col-sm-12">										
															<h:outputLabel for="txtdetalle"
																			value="Detalle : " 
																			styleClass="control-label" />
															<p:inputTextarea id="txtdetalle" 
																			disabled="true"
																			rows="3" 
																			cols="33"
																			styleClass="form-control"
																			autoResize="false" 
																			counter="display"
																			value="#{bandejaJefeOAJMB.tmpFormularioBndRep.detalle_solicitud}"
																			maxlength="5000" 
																			counterTemplate="{0} caracteres restantes."
																			queryDelay="#{solicitudExternoMB.solicitud.detalleSolicitud}" />
															<h:outputText id="display" />									
													 </div>
												</div>
											</p:panel>
										</p:fieldset>
									</div>
									
									<div class="row box-mb">
			                      	
			                      		<div class="col-sm-12">
											<label class="control-label" style="margin-left: 2%"><b> IV. DEPENDENCIA DE LA CUAL REQUIERE LA INFORMACIÓN: </b>(Deseable)</label>
										</div>
											
										<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
											<p:panel id="pndependenciainformacion"
												 style="width: 100%;							 
												 border: 0px solid #EDEDED;
												 background: rgba(237, 237, 237, .9);">
												 <div class="row box-mb">
													<div class="col-sm-10">
														<h:outputLabel for="cmbDependencia" 
																			value="Dependencia : "
																			styleClass="control-label" />
														<p:selectOneMenu 
																		disabled="true"
																		id="cmbDependencia"
																		value="#{bandejaJefeOAJMB.tmpFormularioBndRep.dependencia_de_informacion}"
																		styleClass="form-control style-select">
																<f:selectItem  itemValue="0" itemLabel="--- Seleccione --- " />
																<f:selectItems
																				value="#{bandejaJefeOAJMB.lstUndsOrgTodo}"
																				var="tabla"
																				itemValue="#{tabla.codigoRegistro}"
																				itemLabel="#{tabla.nombreLargo}" />
														</p:selectOneMenu>
													</div>
												</div>
											</p:panel>
										</p:fieldset>
									</div>
									
									<div class="row box-mb">
			                      	
			                      		<div class="col-sm-12">
											<label class="control-label" style="margin-left: 2%"><b> V. FORMA DE ENTREGA DE LA INFORMACIÓN: </b></label>
										</div>
											
										<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
											<p:panel id="pnFormaEntregaPanel"
												 style="width: 100%;							 
												 border: 0px solid #EDEDED;
												 background: rgba(237, 237, 237, .9);">
												 <div class="row box-mb">	 				
													<div class="col-sm-12">	
														 <h:outputLabel	for="txtmediodeentrega"
				        												value="Medios Entrega:"
																		styleClass="control-label" />
														 <p:inputText	id="txtmediodeentrega" 
																		disabled="true"
																		value="#{bandejaJefeOAJMB.tmpFormularioBndRep.forma_de_entrega}"
						                                                required="false" 
						                                                styleClass="form-control"
						                                                tabindex="1"/>
													</div>
												</div>
											</p:panel>
										</p:fieldset>
									</div>
									
									<div class="row box-mb">
			                      	
			                      		<div class="col-sm-12">
											<label class="control-label" style="margin-left: 2%"><b> VI. IDENTIFICACIÓN DE LA PERSONA AUTORIZADA: </b></label>
										</div>
											
										<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
											<p:panel id="autorizaPersRecojo"
												 style="width: 100%;							 
												 border: 0px solid #EDEDED;">
												 <div class="row box-mb">
													<div class="col-lm-12" style="margin-left: 20px;line-height: 20px;font-size: 13.2px;margin-bottom:10px;font-weight: 300;margin-bottom: 5px;">
														<h:panelGrid columns="2" cellpadding="5">
															¿Autoriza a otra persona, recoger la documentación solicitada? &#160;&#160;
															<p:selectOneRadio 
																			disabled="true"
																			id="autorizaRecojan" 
																			value="#{bandejaJefeOAJMB.tmpFormularioBndRep.flag_autoriza_recojo}">
													            <f:selectItem itemValue="SI" itemLabel="&#160;SI&#160;" />
													            <f:selectItem itemValue="NO" itemLabel="&#160;NO" />
													           
													            <p:ajax event="change" 
										                        		listener="#{bandejaJefeOAJMB.updateAutoPersonaPanel}"
										                        		update=":frmBandejaSolicitud:acordeon:autorizaPersRecojo"/>
													        </p:selectOneRadio>
												        </h:panelGrid>
													</div>
													<p:panel id="pnDatosPersonaAutorizada"
															 rendered="#{bandejaJefeOAJMB.swAutorizaPersona}"
															 style="width: 100%;									 
															 border: 0px solid #EDEDED;
															 background: rgba(237, 237, 237, .9);">
																					
														<div class="row box-mb">
																<div class="col-sm-3">										
																	<h:outputLabel 	for="txtnrodocumentoAutorizado" 
																					value="Nro Documento : "
																					styleClass="control-label" />
																		<p:inputText
																					disabled="true"
																					value="#{bandejaJefeOAJMB.tmpFormularioBndRep.pers_auto_nro_documento}"
																					id="txtnrodocumentoAutorizado"											
																					maxlength="8"
																					required="false" 
																					onkeypress="return onlyNumber(event)"
																					styleClass="form-control"
																					tabindex="1" />										
																</div>
																<div class="col-sm-5">
																	<div class="form-group">
																		<h:outputLabel 	for="txtNombresApellidosAutorizado" 
																						value="Nombres y Apellidos : "
																						styleClass="control-label"></h:outputLabel>
																		<p:inputText
																					disabled="true"
																					value="#{bandejaJefeOAJMB.tmpFormularioBndRep.pers_auto_nombre_apellidos}"
																					id="txtNombresApellidosAutorizado"													
																					maxlength="100" 
																					required="false"
																					style="text-transform: uppercase;"
																					styleClass="form-control"
																					tabindex="1" />
																	</div>
																</div>
														</div>
													</p:panel>
													
												</div>
											</p:panel>
										</p:fieldset>
									</div>
									
									<div class="row box-mb">
			                      	
			                      		<div class="col-sm-12">
											<label class="control-label" style="margin-left: 2%"><b> VII. OBSERVACIONES: </b></label>
										</div>
											
										<p:fieldset style="width:96%;margin-left:2%;margin-right:2%">
											<p:panel id="pnobservacionsolicitud"
												 style="width: 100%;
												 border: 0px solid #EDEDED;
												 background: rgba(237, 237, 237, .9);">
												 <div class="row box-mb">
													<div class="col-sm-12">										
															<h:outputLabel 	for="txtObservacionsolicitud"
																			value="Detalle : " 
																			styleClass="control-label" />
															<p:inputTextarea id="txtObservacionsolicitud" 
																			disabled="true"
																			rows="3" 
																			cols="33"
																			styleClass="form-control"
																			autoResize="false"
																			style="text-transform: uppercase;" 
																			counter="display1"
																			value="#{bandejaJefeOAJMB.tmpFormularioBndRep.observacion}"
																			maxlength="200"
																			counterTemplate="{0} caracteres restantes."
																			queryDelay="#{solicitudExternoMB.solicitud.observacion}" />
															<h:outputText id="display1" />								
													</div>
												</div>
											</p:panel>
										</p:fieldset>
									</div>
									
			                		</p:fieldset>
			                	</p:panel>
                		</p:tab>
					</p:accordionPanel>
                	
                	<p:panel id="pnlVistaDerivacionAreaBtn" style="border:none;">
                		<div class="col-sm-12 text-right box-main-btn">
							 	<p:commandButton 	
	                							id="btnbuscarRespuestas" 
												value="Ver Detalle Asignación"
												ajax="true"
												disabled="#{bandejaJefeOAJMB.habilitaValidaInfoOAJ}"
												icon="icon-plus ocultarImgIcon"
												oncomplete="PF('dlgverDetAsigMovimiento').show();"
												styleClass="btn btn-default btn-sm btn-sensitive btn-buscar"
												update=":frmBandejaSolicitud"/>
								<p:commandButton 
												id="btnCancelarSeleccionDer"
												disabled="#{bandejaJefeOAJMB.habilitaValidaInfoOAJ}"
												styleClass="btn btn-default btn-sensitive btn-buscar"
												value="Cancelar" 
												icon="icon-limpiar" 
												ajax="true" update=":frmBandejaSolicitud"
												action="#{bandejaJefeOAJMB.cancelarSeleccionOAJ}"/>
						</div>
					</p:panel>
<!-- *************** DERIVACION ************************************************************************************************** -->
                	<p:panel id="pnlVistaDerivacionArea" style="border:none;"
                		 >
                		<!-- ************** RESPUETA A PROYECCION ************************************************************************************* -->
	                	<p:panel id="pnlVistaRespuestaProyeccion" style="border:none;margin-left:-15pt;margin-right:-15pt;"
							rendered="#{bandejaJefeOAJMB.habilitaRespuestaProyeccion}" >
	                		<div class="row box-mb"> 
	                            <div class="col-sm-12">
	                                <label class="control-label"><b>Proyección de Derivación Area(s):</b></label>
	                            </div>
	                        </div>
							<p:fieldset>
								<div class="row box-mb">
									<div class="col-sm-10">
										<h:outputLabel id="txtUnidOrgDerivar1"
												value="Unidades Orgánicas (Con secretarías):"
												styleClass="control-label" />
										<span class="style_requerido">* </span>
										<h:outputLabel for="scbUnidOrgDerivar" id="txtUnidOrgDerivar"
												value="#{bandejaJefeOAJMB.txtUnidOrgDerivar}"
												styleClass="control-label" />
										<!-- panelStyle="width:250px" -->
										<p:selectCheckboxMenu id="scbUnidOrgDerivar" value="#{bandejaJefeOAJMB.lstUndsOrgsSlc}" 
															  panelStyleClass="without-selectall"
															  label="Unidades Organicas" multiple="true"
									                          filter="true" filterMatchMode="startsWith" 
									                          styleClass="form-control style-select" >
									    	<f:selectItems    value="#{bandejaJefeOAJMB.lstUndsOrgsStrg}" />
									    	<p:ajax 		  event="toggleSelect" 
															  listener="#{bandejaJefeOAJMB.updateUnidOrgDerivar}" 
															  update=":frmBandejaSolicitud:txtUnidOrgDerivar" />
											<p:ajax 
															  listener="#{bandejaJefeOAJMB.updateUnidOrgDerivar}"
															  update=":frmBandejaSolicitud:txtUnidOrgDerivar" />
									    </p:selectCheckboxMenu>
									</div>
								</div>
								<div class="row box-mb">
									<div class="col-sm-12">
										<h:outputLabel for="txtDetalleRespuesta" value="Detalle :"
												styleClass="control-label" />
										<span class="style_requerido">* </span>
										<p:inputTextarea id="txtDetalleRespuesta"
												rows="2" cols="33" styleClass="form-control"
												autoResize="false"
												counter="displayMotivo"
												value="#{bandejaJefeOAJMB.solicitudMovimientoArea.detalleRespuesta}"
												maxlength="200" counterTemplate="{0} caracteres restantes."
												queryDelay="#{solicitudExternoMB.solicitud.observacion}" />
										<h:outputText id="displayMotivo" />
									</div>
								</div>
							</p:fieldset>
							<div class="col-sm-12 text-right box-main-btn" style="margin-top:25px;">
								<p:commandButton
													id="btnDevolver"
													title="Devolver a Asistente REIP"
													value="Devolver Asistente REIP"
													icon="fa fa-undo ocultarImgIcon"
													styleClass="btn btn-primary btn-sensitive"
													actionListener="#{bandejaJefeOAJMB.validarDevolucionDervArea}"
													ajax="true" update=":frmBandejaSolicitud" />
										
								<p:commandButton 
													id="btnLimpiarEnvDerivar"
													title="Restablecer proyección de Asistente"
													styleClass="btn btn-default btn-sensitive btn-buscar"
													value="Restablecer" 
													icon="icon-limpiar" 
													ajax="true" update=":frmBandejaSolicitud"
													action="#{bandejaJefeOAJMB.limpiarDerivacionArea}"/>
													
								<p:commandButton
													id="btnDerivar"
													value="Derivar AREAS"
													title="Derivar Áreas"
													icon="fa fa-arrows-alt ocultarImgIcon"
													styleClass="btn btn-primary btn-sensitive"
													actionListener="#{bandejaJefeOAJMB.validarDerivPreArea}"
													ajax="true" update=":frmBandejaSolicitud" />
								
							</div>
						</p:panel>
						<!-- ************** RESPUETA A USUARIO ************************************************************************************* -->
						<p:panel id="pnlVistaOtraArea" style="border:none;margin-left:-15pt;margin-right:-15pt;"
							rendered="#{bandejaJefeOAJMB.habilitaRespuestaUsuario}">
							<div class="row box-mb"> 
	                            <div class="col-sm-12">
	                                <label class="control-label"><b>Proyección de Respuesta para el Administrado: </b></label>
	                            </div>                       
	                        </div>
							<p:fieldset>
								<div class="row box-mb">
									<div class="col-sm-6">
										<div class="form-group">
			                                 <h:outputLabel for="txtCorreoRespuesta" value="Correo Electrónico: " styleClass=" control-label"/>
			                                 <p:inputText   id="txtCorreoRespuesta"
			                                 				disabled="true"
			                                            	value="#{bandejaJefeOAJMB.solicitudMovimientoAdministrado.correo}"	
			                                                maxlength="50"
			                                                styleClass="form-control" />
			                                 <p:watermark for="txtCorreoRespuesta" value="Ingrese el Título" />
			                            </div>
									</div>
								</div>
								<div class="row box-mb">
									<div class="col-sm-9">
										<div class="form-group">
			                                 <h:outputLabel for="txtAsuntoRespuesta" value="Asunto: " styleClass=" control-label"/>
			                                 <span class="style_requerido">*</span>
			                                 <p:inputText   id="txtAsuntoRespuesta"
			                                            	value="#{bandejaJefeOAJMB.solicitudMovimientoAdministrado.asunto}"	
			                                                maxlength="50"
			                                                styleClass="form-control" />
			                                 <p:watermark for="txtAsuntoRespuesta" value="Ingrese el Asunto" />
			                            </div>
									</div>
								</div>
								<div class="row box-mb">
			                    	<div class="col-sm-12">
			                        	<div class="form-group">
			                                    	<h:outputLabel for="txtcuerpoCorreo" value="Contenido: " styleClass=" control-label"/>
			                                        <span class="style_requerido">*</span>
			                                        <p:editor height="320" 
			                                        		  id="txtcuerpoCorreo" 
			                                        		  widgetVar="editorWidget" 
			                                        		  value="#{bandejaJefeOAJMB.solicitudMovimientoAdministrado.detalleRespuesta}" 
			                                        		  styleClass="max-width"/>
	 												<h:panelGrid columns="2" style="margin-top: 10px">
												    </h:panelGrid>
			                        	</div>
			                     	</div> 
								</div>
								<div class="row box-mb">
									<div class="col-sm-12 box-table-class">
                             			 <div class="form-group">
                             			 	<h:outputLabel for="tblDocumentos" value="Documentos Adjuntos : " styleClass=" control-label"/>
			                                <!-- <span class="style_requerido">*</span> -->
											<p:dataTable  id="tblDocumentos" 
                                                var="registro"
                                                value="#{bandejaJefeOAJMB.lstDetalleMovimiento}" 
                                                rowKey="#{registro.id}" 
                                                paginator="#{bandejaJefeOAJMB.lstDetalleMovimiento.size() > 5}"
                                                rowIndexVar="item"
                                                paginatorPosition="top"
                                                style="text-align:center;"
                                                emptyMessage="No se han adjuntado documentos de respuesta para esta solicitud.">
                                                
												<p:column headerText="N&#186;" style="width:20px;text-aling:center;">
                                                	<h:outputText value="#{item+1}" />
                                                </p:column>

                                                <p:column headerText="Nombre Documento" style="width:120px;" >
										            <h:outputText escape="false" value="#{registro.nombreDocumento}" />
										        </p:column>
										            
										        <p:column headerText="Unidad Orgánica Emisor" style="width:120px;" >
										            <h:outputText escape="false" value="#{registro.t01UndOrgEmiDetaLarg}" />
										        </p:column>
										                                                
										        <p:column headerText="Siglas" style="width:40px;" >
										            <h:outputText escape="false" value="#{registro.t01UndOrgEmiDetaCort}" />
										        </p:column>
										            
                                                <p:column headerText="Acción" style="width:30px;text-align:center;">
                                                	<p:commandButton 
																	actionListener="#{bandejaJefeOAJMB.descargarFile(registro.uuidDocumento)}"
																	title="Descargar"
																	ajax="false" icon="ui-icon ui-icon-arrowthickstop-1-s"
																	styleClass="colorSuccess">
																	<p:fileDownload value="#{bandejaJefeOAJMB.streamedContent}" />
													</p:commandButton>
                                                	<p:commandButton icon="ui-icon ui-icon-trash" title="Eliminar"
														actionListener="#{bandejaJefeOAJMB.setRptDocumento(registro)}"
														ajax="true" oncomplete="PF('idGrpEliminarConfirmacion').show()">
													</p:commandButton>
                                                </p:column>

                                    		</p:dataTable>
                                    	</div>
                                    </div>
								</div>
								<div class="row box-mb">
									<div id="box-subir-doc" class="col-sm-12" >
										<div class="form-group ">
											<h:outputLabel id="lblAdj" for="fileUplAdj" 
												value="Adjunto(s): [ #{bandejaJefeOAJMB.nombreAdjunto01} ]"
												styleClass="control-label" />
											<p:fileUpload id="fileUplAdj"
												disabled="#{bandejaJefeOAJMB.habilitaBtnAdjDoc}"
												fileUploadListener="#{bandejaJefeOAJMB.handleFileUpload}" 
												mode="advanced" dragDropSupport="false" auto="true"
												label="Seleccionar" uploadLabel="Subir" cancelLabel="Cancelar"
                  								multiple="true" update="lblAdj" sizeLimit="350000000" fileLimit="#{bandejaJefeOAJMB.maxDocsAdjs}" 
                  								allowTypes="/(\.|\/)(doc|docx|xls|xlsx|pdf)$/"
                  								invalidSizeMessage="El archivo que intenta subir supera el tamaño máximo permitido."
												invalidFileMessage="Tipo de archivo Inválido. Solo se permite adjuntar archivos Word, Excel y PDF."
												fileLimitMessage="Excedió el número de archivos permitidos." />
										</div>
									</div>
								</div>
								<div class="row box-mb">
									<div class="col-sm-9 text-left box-main-btn">
										<div class="form-group">
											<h:outputLabel
												value="Files válidos: word, excel, pdf. Máximo: #{bandejaJefeOAJMB.maxDocsAdjs} files. 
													Tamaño máximo por file: 350MB"
												style="font-weight: 300; font-size: 11px; color: #f52c27;" />
										</div>
									</div>
									<div class="col-sm-3 text-right box-main-btn">
										<p:commandButton id="idLimpiarAdjunto"
											disabled="#{bandejaJefeOAJMB.habilitaBtnAdjDoc}"
											styleClass="btn btn-default btn-sensitive btn-buscar"
											title="Borrar Files Adjuntos que han sido subidos y seleccionados."
											value="Borrar Adjuntos"
											
											actionListener="#{bandejaJefeOAJMB.borrarAdjuntos}"
											ajax="true" 
											icon="icon-limpiar" update=":frmBandejaSolicitud" />
									</div>
								</div>
								
							</p:fieldset>
						
							<div class="col-sm-12 text-right box-main-btn" style="margin-top:15px;">
									<p:commandButton
													id="btnDevolver2"
													title="Devolver a Asistente REIP"
													disabled="#{bandejaJefeOAJMB.habilitaBtnDevolver}"
													value="Devolver Asistente REIP"
													icon="fa fa-undo ocultarImgIcon"
													styleClass="btn btn-primary btn-sensitive"
													actionListener="#{bandejaJefeOAJMB.validarDevolucionDerAdmnistrado}"
													ajax="true" update=":frmBandejaSolicitud" />
													
									<p:commandButton 
													id="btnLimpiarEnvUsu"
													styleClass="btn btn-default btn-sensitive btn-buscar"
													value="Restablecer" 
													icon="icon-limpiar" 
													ajax="true" update=":frmBandejaSolicitud"
													action="#{bandejaJefeOAJMB.limpiarDerivacionAdministrado}"/>
												
									<p:commandButton
													id="btnResponder"
													value="Responder ADMINISTRADO"
													icon="fa fa-envelope-o ocultarImgIcon"
													styleClass="btn btn-primary btn-sensitive"
													actionListener="#{bandejaJefeOAJMB.validarDerivPreAdministrado}"
													ajax="true" update=":frmBandejaSolicitud" />
							</div>
						</p:panel>
					</p:panel>
					
					</p:fieldset>
                </div>
				<!-- Confirmar 1 -->
				<p:confirmDialog message="Confirmación"
					id="idGrpConfirmar1" showEffect="fade" hideEffect="explode"
					modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpConfirmar1" width="25%">
					<div class="row"
						style="margin-left: 15px; margin-top: 5px; margin-bottom: 10px;margin-right: 15px;">
						<div class="row box-mb">
							<div class="col-sm-12">
								<div class="form-group">
									<!-- 
									<h:outputLabel value="Está a punto de derivar la solicitud a otras áreas:"
										styleClass="control-label" /> -->
													      <p style="line-height: 20px;font-size: 13.2px;font-weight: 300;">
													      <b >NOTA: </b>Usted podrá derivar a un área una sola vez,
														  luego de esto, si desea derivar la  misma solicitud solo 
														  podrá hacerlo si es un área diferente a la derivada anteriormente.</p>
									<h:outputLabel value="¿Confirma la derivación de la solicitud?"
										styleClass="control-label" />
								</div>
							</div>
						</div>
					</div>
					<div class="row text-right box-dig-btn">
						<div class="row box-mb">
							<div class="col-sm-11">
								<div class="form-group">
									<p:commandButton title="Si" value="Si"
										action="#{bandejaJefeOAJMB.grabar1}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('idGrpConfirmar1').hide(), PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										ajax="true"
										update=":frmBandejaSolicitud" />
									<p:commandButton title="No"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="No" oncomplete="PF('idGrpConfirmar1').hide()" />
								</div>
							</div>
						</div>
					</div>
				</p:confirmDialog>
				<!-- Confirmar 2 -->
				<p:confirmDialog message="Confirmación"
					id="idGrpConfirmar2" showEffect="fade" hideEffect="explode"
					modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpConfirmar2" width="25%">
					<div class="row"
						style="margin-left: 15px; margin-top: 5px; margin-bottom: 10px;">
						<div class="row box-mb">
							<div class="col-sm-12">
								<div class="form-group">
									<h:outputLabel value="¿Confirma responder al Administrado?"
										styleClass="control-label" />
								</div>
							</div>
						</div>
					</div>
					<div class="row text-right box-dig-btn">
						<div class="row box-mb">
							<div class="col-sm-11">
								<div class="form-group">
									<p:commandButton title="Si" value="Si"
										action="#{bandejaJefeOAJMB.grabar2}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('idGrpConfirmar2').hide(), PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										ajax="true"
										update=":frmBandejaSolicitud" />
									<p:commandButton title="No"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="No" oncomplete="PF('idGrpConfirmar2').hide()" />
								</div>
							</div>
						</div>
					</div>
				</p:confirmDialog>
				
				<!-- Confirmar 3: ReenvioMSJ -->
				<p:confirmDialog message="Confirmación"
					id="idGrpConfirmar3" showEffect="fade" hideEffect="explode"
					modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpConfirmar3" width="25%">
					<div class="row"
						style="margin-left: 15px; margin-top: 5px; margin-bottom: 10px;">
						<div class="row box-mb">
							<div class="col-sm-12">
								<div class="form-group">
									<h:outputLabel value="¿Confirma responder al Administrado?"
										styleClass="control-label" />
								</div>
							</div>
						</div>
					</div>
					<div class="row text-right box-dig-btn">
						<div class="row box-mb">
							<div class="col-sm-11">
								<div class="form-group">
									<p:commandButton title="Si" value="Si"
										action="#{bandejaJefeOAJMB.reenviarMsj}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('idGrpConfirmar3').hide(), PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										ajax="true"
										update=":frmBandejaSolicitud" />
									<p:commandButton title="No"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="No" oncomplete="PF('idGrpConfirmar3').hide()" />
								</div>
							</div>
						</div>
					</div>
				</p:confirmDialog>
				
				<!-- Confirmar 4: Devolución solicitud -->
				<p:confirmDialog message="Confirmación de Devolución"
					id="idGrpConfirmar4" showEffect="fade" hideEffect="explode"
					modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpConfirmar4" width="60%">
					<div class="row"
						style="margin-left: 15px; margin-top: 5px; margin-bottom: 10px;margin-right: 15px;">
						<div class="row box-mb">
									<div class="col-sm-12">
										<h:outputLabel for="txtDetalleAsignacion" value="Motivo :"
												styleClass="control-label" />
										<span class="style_requerido">* </span>
										<p:inputTextarea id="txtDetalleAsignacion"
												rows="2" cols="33" styleClass="form-control"
												autoResize="false"
												counter="displayDetaAsig"
												value="#{bandejaJefeOAJMB.solicitudMovimientoArea.detalleAsignacion}"
												maxlength="200" counterTemplate="{0} caracteres restantes."/>
										<h:outputText id="displayDetaAsig" />
									</div>
						</div>
					</div>
					<div class="row text-right box-dig-btn">
						<div class="row box-mb">
							<div class="col-sm-11">
								<div class="form-group">
									<p:commandButton title="Si" value="Si"
										action="#{bandejaJefeOAJMB.grabar3}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('idGrpConfirmar4').hide(), PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										ajax="true"
										update=":frmBandejaSolicitud" />
									<p:commandButton title="No"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="No" oncomplete="PF('idGrpConfirmar4').hide()" />
								</div>
							</div>
						</div>
					</div>
				</p:confirmDialog>
				<!-- Confirmar 5: Devolución solicitud -->
				<p:confirmDialog message="Confirmación de Devolución"
					id="idGrpConfirmar5" showEffect="fade" hideEffect="explode"
					modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpConfirmar5" width="60%">
					<div class="row"
						style="margin-left: 15px; margin-top: 5px; margin-bottom: 10px;margin-right: 15px;">
						<div class="row box-mb">
									<div class="col-sm-12">
										<h:outputLabel for="txtDetalleAsignacion2" value="Motivo :"
												styleClass="control-label" />
										<span class="style_requerido">* </span>
										<p:inputTextarea id="txtDetalleAsignacion2"
												rows="2" cols="33" styleClass="form-control"
												autoResize="false"
												counter="displayDetaAsig2"
												value="#{bandejaJefeOAJMB.solicitudMovimientoAdministrado.detalleAsignacion}"
												maxlength="200" counterTemplate="{0} caracteres restantes."/>
										<h:outputText id="displayDetaAsig2" />
									</div>
						</div>
					</div>
					<div class="row text-right box-dig-btn">
						<div class="row box-mb">
							<div class="col-sm-11">
								<div class="form-group">
									<p:commandButton title="Si" value="Si"
										action="#{bandejaJefeOAJMB.grabar4}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('idGrpConfirmar5').hide(), PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										ajax="true"
										update=":frmBandejaSolicitud" />
									<p:commandButton title="No"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="No" oncomplete="PF('idGrpConfirmar5').hide()" />
								</div>
							</div>
						</div>
					</div>
				</p:confirmDialog>
				<!-- Confirmar 6: Eliminar Documentos subido traidos -->
				<p:confirmDialog message="Aviso de eliminación"
					id="idGrpEliminarConfirmacion" showEffect="fade"
					hideEffect="explode" modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpEliminarConfirmacion" width="40%">


					<div class="row"
						style="margin-left: 15px; margin-top: 5px; margin-bottom: 10px;">
						<h:outputText
							value="¿Confirma la eliminación del documento seleccionado?" />
						<br />
					</div>

					<div class="row text-right box-dig-btn">
						<p:commandButton title="Si" value="Si"
							action="#{bandejaJefeOAJMB.eliminar()}"
							styleClass="btn btn-primary btn-sensitive"
							oncomplete="PF('idGrpEliminarConfirmacion').hide()"
							update=":frmBandejaSolicitud" />
						<p:commandButton title="No"
							styleClass="btn btn-default btn-sensitive btn-buscar" value="No"
							oncomplete="PF('idGrpEliminarConfirmacion').hide()" />
					</div>
				</p:confirmDialog>
				
				<p:confirmDialog message="Detalle Derivación Múltiple"
					id="idGrpConfirmDeriv" showEffect="fade" hideEffect="explode"
					modal="true" styleClass="modal-confirmation"
					widgetVar="idGrpConfirmDeriv" width="40%">
					<!--  -->
					<div class="row box-mb" style="margin-left: 3px; margin-right: 3px; margin-top: 5px;">
						<div class="col-sm-12">
							<div class="form-group">
			                     <h:outputLabel value="Número de Solicitud: #{bandejaJefeOAJMB.txtNumeroSolicitud}" styleClass="control-label"/> 
			                </div>
						</div>
					</div>
					
					<div class="row box-mb" style="margin-left: 3px; margin-right: 3px; margin-bottom: 10px;">
						<div class="col-sm-12 box-table-class">
                             <div class="form-group">
								<p:dataTable  id="tblDetalleDerivacion" 
											  value="#{bandejaJefeOAJMB.lstRptDerivacion}"
                                              var="registro"
                                              rowKey="#{registro.id}" 
                                              paginator="true"
                                              rowIndexVar="item"
                                              paginatorPosition="top"
                                              rows="10"
                                              style="text-align:center;"
                                              emptyMessage="No se han encontrado registros.">
                                                
                                              <p:column headerText="N&#186;" style="width:15px;text-aling:center;">
                                                  	<h:outputText value="#{item+1}" />
                                              </p:column>

                                              <p:column headerText="Área Derivada" style="width:30px;">
                                                	<h:outputText value="#{registro.areaDerivada}" />
                                              </p:column>
                                              
                                              <p:column headerText="Secretaría UO" style="width:30px;">
                                                	<h:outputText value="#{registro.personaDerivada}" />
                                              </p:column>
                                              
                                              <p:column headerText="Estado Derivación" style="width:60px;">
                                                	<h:outputText value="#{registro.estadoDerivacion}" />
                                              </p:column>
                                	</p:dataTable>
                            	</div>
						</div>
					</div>
					<div class="row text-right box-dig-btn">
						<div class="row box-mb">
							<div class="col-sm-11">
								<div class="form-group">
									<p:commandButton title="Confirmar"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="Confirmar" oncomplete="PF('idGrpConfirmDeriv').hide()" />
								</div>
							</div>
						</div>
					</div>
				</p:confirmDialog>
				
				<p:dialog id="dlgverDetAsigMovimiento" header="Detalle de Asignación del Movimiento Solicitud"
					widgetVar="dlgverDetAsigMovimiento" modal="true" width="75%"
					styleClass="box-modal-show" resizable="false">
					<div id="mainBuscarRespuestas">
						<h:form id="frmBuscarRespuestas">
							<div id="box-seg-main" class="row box-mb">
								<div class="col-sm-12">
									<fieldset>
										<div class="table-responsive">
											<div class="box-border-RegDoc" style="width: 80%px; height: 300px; overflow: scroll;">
												<h:panelGroup id="pnlMovimientos"
													styleClass="tablaLstRgtDoc box-lst-tablas">
													<p:outputLabel id="lblMovimientos" rendered="#{bandejaJefeOAJMB.lstSoliMoviXLineaTP.size()==0}"
														value="Actualmente no hay Respuestas registradas." />
													<ui:repeat value="#{bandejaJefeOAJMB.lstSoliMoviXLineaTP}" var="segMovimientoItemB" varStatus="item">
														<legend style="margin-bottom:0px;">
															<small style="color: #616979; font-size: 14px" >
																[ORIGEN]: #{segMovimientoItemB.t01UndOrgEmiDeta} >> #{segMovimientoItemB.perfilDetaEmisor}
																	<i class="fa fa-long-arrow-right" aria-hidden="true" /> 
																[DESTINO]: #{segMovimientoItemB.t01UndOrgRecDeta} >> #{segMovimientoItemB.perfilDetaReceptor}
															</small>
														</legend>
														<table class="tg table table-expand"
															style="margin-bottom: 10px; border-color: white; border-collapse: collapse; margin: 0 0 1em 0; caption-side: top;">
															<tbody  style="border-bottom: 0px; font-size: 12px; border-top: 0px solid #000; border-bottom: 0px solid #000;">
																<tr>
																	<th class="tg-0ord" width="150px;">Detalle Asignación</th>
																	<td colspan="3" class="txt-data">: <h:outputText
																		value="#{segMovimientoItemB.detalleAsignacion}"
																		escape="false" /></td>
																</tr>																
															</tbody>
														</table>
													</ui:repeat>
													
												</h:panelGroup>
											</div>
										</div>
									</fieldset>
								</div>
							</div>
						</h:form>
						
					</div>
				</p:dialog>
                  			              
            </h:form>  
             
            <p:dialog widgetVar="statusDialog" modal="true" draggable="false" 
				      closable="false" resizable="false" showHeader="false">
		    		<p:graphicImage value="../resources/img/loadingbar.gif" />
			</p:dialog> 
	    </div>
    
    </ui:define>
    
</ui:composition>